4.5. Управление настройками AutoCAD

Источник здесь.[перевод не проверен];[перевёл Андрей Бушман]

    .NET API AutoCAD не содержит классов или методов для доступа к средствам, посредством которых предоставлялся бы доступ к настройкам, представленным в диалоговом окне Options (Настройки). Доступ к этим настройкам осуществляется через библиотеку ActiveX®. Вам следует использовать COM объект, возвращаемый свойством Preferences (настройки) объектом приложения (Application).

    Когда вы получите COM объект настроек (Preferences), то сможете так же получить доступ к девяти объектам, принадлежащим к настройкам, каждый из которых представляет собой отдельную вкладку диалогового окна Настройки (Options). Эти объекты обеспечивают доступ ко всем сохранённым в реестре настройкам названного выше диалогового окна. Вы можете изменить множество настроек AutoCAD посредством свойств, обнаруженных в этих объектах. Этими объектами являются:
  • PreferencesDisplay (Настройки отображения)
  • PreferencesDrafting (Настройки черчения)
  • PreferencesFiles (Настройки файлов)
  • PreferencesOpenSave (Настройки открытия и сохранения)
  • PreferencesOutput (Настройки вывода)
  • PreferencesProfiles (Настройки профилей)
  • PreferencesSelection (Настройки выбора)
  • PreferencesSystem (Настройки системы)
  • PreferencesUser (Пользовательские настройки)

Доступ к объекту предпочтений (Preferences)

    Следующий код демонстрирует, как получить доступ к объекту настроек (Preferences) путём взаимодействия с COM

Код VB.NET

  1:  Dim acPrefComObj As AcadPreferences = Application.Preferences

Код C#

   1:  AcadPreferences acPrefComObj = (AcadPreferences)Application.Preferences;

Код VBA / ActiveX

   1:  Dim acadPref as AcadPreferences
   2:  Set acadPref = ThisDrawing.Application.Preferences

    Имея ссылку на экземпляр Preferences, вы получаете доступ к любому из конкретных объектов настроек этого элемента посредством его свойств Display, Drafting, Files, OpenSave, Output, Profile, Selection, System, и User.

Установка перекрестья курсора1 на весь экран

Код VB.NET

   1:  Imports Autodesk.AutoCAD.ApplicationServices
   2:  Imports Autodesk.AutoCAD.Runtime
   3:  Imports Autodesk.AutoCAD.Interop 
   4:   
   5:  <CommandMethod("PrefsSetCursor")> _
   6:  Public Sub PrefsSetCursor()
   7:    '' Этот пример устанавливает размер перекрестья курсора в чертеже AutoCAD
   8:    '' на полный экран.
   9:   
  10:    '' Получаем доступ к объекту настроек (Preferences)
  11:    Dim acPrefComObj As AcadPreferences = Application.Preferences 
  12:   
  13:    '' Используем свойство CursorSize для установки нужного нам размера перекрестья курсора
  14:    acPrefComObj.Display.CursorSize = 100
  15:  End Sub

Код C#

   1:  using Autodesk.AutoCAD.ApplicationServices;
   2:  using Autodesk.AutoCAD.Runtime;
   3:  using Autodesk.AutoCAD.Interop; 
   4:   
   5:  [CommandMethod("PrefsSetCursor")]
   6:  public static void PrefsSetCursor()
   7:  {
   8:    // Этот пример устанавливает размер перекрестья курсора в чертеже AutoCAD
   9:    // на полный экран.
  10:   
  11:    // Получаем доступ к объекту настроек (Preferences)
  12:    AcadPreferences acPrefComObj = (AcadPreferences)Application.Preferences;
  13:   
  14:    // Используем свойство CursorSize для установки нужного нам размера перекрестья курсора
  15:    acPrefComObj.Display.CursorSize = 100;
  16:  } 

Код VBA / ActiveX

   1:  Sub PrefsSetCursor()
   2:  ' Этот пример устанавливает размер перекрестья курсора в чертеже AutoCAD
   3:  ' на полный экран. 
   4:   
   5:  ' Получаем доступ к объекту настроек (Preferences)
   6:  Dim acadPref As AcadPreferences
   7:  Set acadPref = ThisDrawing.Application.Preferences
   8:   
   9:  ' Используем свойство CursorSize для установки нужного нам размера перекрестья курсора
  10:  acadPref.Display.CursorSize = 100
  11:  End Sub

Управление отображением экранного меню и панелей прокрутки

Код VB.NET

   1:  Imports Autodesk.AutoCAD.ApplicationServices
   2:  Imports Autodesk.AutoCAD.Runtime
   3:  Imports Autodesk.AutoCAD.Interop
   4:   
   5:  <CommandMethod("PrefsSetDisplay")> _
   6:  Public Sub PrefsSetDisplay()
   7:    '' Этот пример отображает экранное меню и скрывает панели прокрутки 
   8:   
   9:    '' Доступ к объекту настроек (Preferences)
  10:    Dim acPrefComObj As AcadPreferences = Application.Preferences 
  11:   
  12:    '' Отображение экранного меню
  13:    acPrefComObj.Display.DisplayScreenMenu = True 
  14:   
  15:    '' Скрытие панелей прокрутки
  16:    acPrefComObj.Display.DisplayScrollBars = False
  17:  End Sub

Код C#

   1:  using Autodesk.AutoCAD.ApplicationServices;
   2:  using Autodesk.AutoCAD.Runtime;
   3:  using Autodesk.AutoCAD.Interop; 
   4:   
   5:  [CommandMethod("PrefsSetDisplay")]
   6:  public static void PrefsSetDisplay()
   7:  {
   8:    // Этот пример отображает экранное меню и скрывает панели прокрутки
   9:   
  10:    // Доступ к объекту настроек (Preferences)
  11:    AcadPreferences acPrefComObj = (AcadPreferences)Application.Preferences; 
  12:   
  13:    // Отображение экранного меню
  14:    acPrefComObj.Display.DisplayScreenMenu = true; 
  15:   
  16:    // Скрытие панелей прокрутки
  17:    acPrefComObj.Display.DisplayScrollBars = false;
  18:  }

Код VBA / ActiveX

   1:  Sub PrefsSetDisplay()
   2:      ' Этот пример отображает экранное меню и скрывает панели прокрутки
   3:   
   4:      ' Доступ к объекту настроек (Preferences)
   5:      Dim acadPref As AcadPreferences
   6:      Set acadPref = ThisDrawing.Application.Preferences 
   7:   
   8:      ' Отображение экранного меню
   9:      acadPref.Display.DisplayScreenMenu = True 
  10:   
  11:      ' Скрытие панелей прокрутки
  12:      acadPref.Display.DisplayScrollBars = False
  13:  End Sub

Примечания переводчика:
1курсор мыши в области чертежа AutoCAD

Comments